#ifndef __UDS_22SERVICE_Main_H
#define __UDS_22SERVICE_Main_H

#include "TYW_stdint.h"
#include "UDS_22Service_Filter.h"
#include "UDS_22Service_Internal.h"

void UDS_Service_22_Indication(uint32_t A_TA_type, uint16_t A_Length, uint8_t A_Data[]);
void UDS_22Service_DID(void);
void UDS_22Service_DID_F187(void);
void UDS_22Service_DID_F18A(void);
void UDS_22Service_DID_F18B(void);
void UDS_22Service_DID_F18C(void);
void UDS_22Service_DID_F190(void);
void UDS_22Service_DID_F192(void);
void UDS_22Service_DID_F193(void);
void UDS_22Service_DID_F194(void);
void UDS_22Service_DID_F195(void);
void UDS_22Service_DID_F197(void);
void UDS_22Service_DID_F1B0(void);
void UDS_22Service_DID_F1B1(void);
void UDS_22Service_DID_F1B7(void);
void UDS_22Service_DID_F1B8(void);
void UDS_22Service_DID_F1BF(void);
void UDS_22Service_DID_F1C5(void);
void UDS_22Service_DID_F1C6(void);
void UDS_22Service_DID_F186(void);
void UDS_22Service_DID_F180(void);
void UDS_22Service_DID_F010(void);
void UDS_22Service_DID_F15B(void);
void UDS_22Service_DID_CF00(void);
void UDS_22Service_DID_CF01(void);
void UDS_22Service_DID_CF02(void);
void UDS_22Service_DID_CF03(void);
void UDS_22Service_DID_CF04(void);
void UDS_22Service_DID_1E00(void);
void UDS_22Service_DID_1E01(void);


#endif